//*******  Project: Legend of Zelda Treasure Chest  *******
//*******  Author: Kevin Martinez                   *******
//*******  Date Last Modified: November 14, 2015    *******


#ifndef RupeeEvent_h
#define RupeeEvent_h

#include "Arduino.h"
#include "Wire.h"
#include "LiquidCrystal_I2C.h"


class RupeeEvent
{
  public:

    RupeeEvent(int _color, LiquidCrystal_I2C* _disp);   //Constructor for event
    void startEvent();   //Begins event
    void flashLEDs();   //Blinks yellow LED's
    void setColor();   //Activates RGB LED inside of rupee
    void playSound(String sound);
    void displayText();   //Activates LCD screen, displays messages, & blinks RGB LED
    void shimmer();
    void changeColor(int _color);
    void endEvent();  //Turns off all components and ends the loop
  
  private:

    int color;   //Parameter to indicate which color will appear
    byte redFreq;   //Frequency for red PWM pin
    byte greenFreq;   //Frequency for green PWM pin
    byte blueFreq;   //Frequency for blue PWM pin
    String text1;   //First message
    String text2;   //Second message
    String text3;   //Third message
    
    LiquidCrystal_I2C* myDisplay;   //Pointer object parameter to control LCD screen

};

#endif





